package com.hw.admin;

import com.hw.admin.system.listener.FileMonitor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 系统模块
 *
 * @author Administrator
 */

@SpringBootApplication
@MapperScan("com.hw.admin.**.mapper")
@EnableScheduling
public class PackerServiceApplication {
    public static void main(String[] args) {
        SpringApplication.run(PackerServiceApplication.class, args);
    }

    @Bean
    public FileMonitor fileMonitor() {
        return new FileMonitor("D:\\project\\delivery_project\\远程制药\\后台\\ycpharmacy_excel_service\\excel\\");
    }
}
